import os
import app.servicecontrol
import app.defaults

class ServiceController(app.servicecontrol.ServiceController):
    def getPidFile(self):
        return os.path.join(app.defaults.DEFAULT_RUN_DIR, "phoenix.pid")

    def __runInit(self, verb):
        config = app.util.getRuntimeConfiguration()

        logFile = os.path.join(config['JAMES_LOG_DIR'], 'service.log')
        initScript = os.path.join(app.defaults.DEFAULT_SERVICE_DIR, "phoenix", "bin", "phoenix.sh")

        return os.system("%s %s < /dev/null >> %s 2>&1 &" % (initScript, verb, logFile)) == 0
        
    def startDaemonAsync(self):
        return self.__runInit("start")
        
    def stopDaemonAsync(self):
        return self.__runInit("stop")